scsi_alloc_sdev
Prev | drivers/scsi/scsi_scan.c | Next

## Name

scsi_alloc_sdev — allocate and setup a scsi_Device

## Synopsis

`struct scsi_device * scsi_alloc_sdev (` | struct scsi_target * | starget,
| unsigned int | lun,
| void * | hostdata`)`;

## Arguments

`starget`

  which target to allocate a scsi_device for

`lun`

  which lun

`hostdata`

  usually NULL and set by ->slave_alloc instead

## Description

Allocate, initialize for io, and return a pointer to a scsi_Device. Stores the `shost`, `channel`, `id`, and `lun` in the scsi_Device, and adds scsi_Device to the appropriate list.

## Return value

scsi_Device pointer, or NULL on failure.

Prev | Up | Next
scsi_unlock_floptical | Home | scsi_alloc_target